curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/disputes \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/disputes"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.rain.xyz/v1/issuing/disputes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.rain.xyz/v1/issuing/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.rain.xyz/v1/issuing/disputes")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.rain.xyz/v1/issuing/disputes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"disputeAmount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"disputeType": "fraud",
"textEvidence": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"cardholderUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardholderFirstName": "<string>",
"cardholderLastName": "<string>",
"merchantName": "<string>",
"postedAt": "2023-11-07T05:31:56Z"
},
"hasFileEvidence": true,
"informationalOnly": true,
"attachmentCount": 1
}
]Get all disputes
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/disputes \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/disputes"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.rain.xyz/v1/issuing/disputes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.rain.xyz/v1/issuing/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.rain.xyz/v1/issuing/disputes")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.rain.xyz/v1/issuing/disputes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"disputeAmount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"disputeType": "fraud",
"textEvidence": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"cardholderUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardholderFirstName": "<string>",
"cardholderLastName": "<string>",
"merchantName": "<string>",
"postedAt": "2023-11-07T05:31:56Z"
},
"hasFileEvidence": true,
"informationalOnly": true,
"attachmentCount": 1
}
]Authorizations
Query Parameters
For corporate cards, id of the company to get disputes for
Id of the user to get disputes for
Id of the transaction to get disputes for
Filter disputes by status
pending, inReview, accepted, rejected, canceled The id of the resource after which to start fetching
The number of resources to fetch
1 <= x <= 100Response
Successful operation
The dispute's unique identifier
The transaction's unique identifier
The status of the dispute
pending, inReview, accepted, rejected, canceled, resolvedByMerchant Disputed amount in cents
The time at which the dispute was created
The type of dispute
fraud, creditNotProcessed, serviceNotReceived, merchandiseIssue, other The textual evidence for the dispute
65535The time at which the dispute was resolved
Details of the transaction associated with the dispute
Show child attributes
Show child attributes
Indicates whether file evidence has been uploaded for the dispute
When true, the dispute was recorded only and was not submitted to the card network.
The number of attachments uploaded for the dispute
x >= 0